Skip to main content
GET
/
v1
/
stocks
/
non-us
/
company
/
detail
Get non-US stock company profile
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/stocks/non-us/company/detail
{
  "data": [
    {
      "address": "<string>",
      "ceo": "<string>",
      "cik": "<string>",
      "city": "<string>",
      "company_name": "<string>",
      "country": "<string>",
      "currency": "<string>",
      "cusip": "<string>",
      "description": "<string>",
      "exchange": "<string>",
      "exchange_full_name": "<string>",
      "full_time_employees": 123,
      "image": "<string>",
      "industry": "<string>",
      "ipo_date": "<string>",
      "isin": "<string>",
      "phone": "<string>",
      "sector": "<string>",
      "state": "<string>",
      "symbol": "<string>",
      "website": "<string>",
      "zip": "<string>"
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Query Parameters

symbol
string
required

Non-US ticker symbol (e.g. 0700.HK, 9888.HK)

Response

OK

data
object[]
error
object
pagination
any
request_id
string
success
boolean